<?php

/**
 * The main template file
 * 
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package cat_groomer
 */

get_header();

$cat_groomer_column = get_theme_mod( 'cat_groomer_archive_column_layout', 'column-1' );
?>
<main id="primary" class="site-main">

	<?php

	if ( is_home() && ! is_front_page() ) {
	}

	if ( have_posts() ) :

		if ( is_home() && ! is_front_page() ) :
		endif;
		?>

		<div class="cat_groomer-archive-layout grid-layout <?php echo esc_attr( $cat_groomer_column ); ?>">
			<?php
			/* Start the Loop */
			while ( have_posts() ) :
                the_post();

                get_template_part( 'template-parts/content', get_post_format() );

            endwhile;
			?>
		</div>
		<?php
		do_action( 'cat_groomer_posts_pagination' );

	else :

		get_template_part( 'template-parts/content', 'none' );

	endif;
	?>

</main><!-- #main -->

<?php
if ( cat_groomer_is_sidebar_enabled() ) {
	get_sidebar();
}

get_footer();